# Insert or update a Mail2Fax profile

Create a new or update an existing Mail2Fax profile

Endpoint: PUT /outbound/profiles/{profile}
Version: 2.0
Security: http-basic-auth

## Path parameters:

  - `profile` (string, required)
    The profile name
    Example: "default"

## Request fields (application/json):

  - `name` (string)

  - `general` (object)

  - `general.name` (string)

  - `general.active` (boolean)

  - `general.timezone` (string)

  - `fax` (object)

  - `fax.csid` (string)

  - `fax.costCenter` (string)

  - `fax.header` (string)

  - `fax.blacklist` (boolean)

  - `fax.paperSize` (string)

  - `fax.resolution` (string)

  - `fax.preferredMimeType` (string)

  - `fax.attachmentsOnly` (boolean)

  - `fax.suppressBlankPages` (boolean)

  - `dialing` (object)

  - `dialing.countryCode` (string)

  - `dialing.areaCode` (string)

  - `reportEmail` (object)

  - `reportEmail.language` (string)

  - `reportEmail.reportFormat` (string)

  - `reportEmail.sender` (string)

  - `reportEmail.recipients` (string)

  - `reportEmail.recipientsIfError` (string)

  - `reportEmail.recipientsCc` (string)

  - `reportEmail.attachTiff` (boolean)

  - `reportEmail.attachTiffOnlyIfError` (boolean)

  - `reportEmail.attachPdf` (boolean)

  - `reportEmail.sortByStatus` (string)

  - `reportEmail.reportRecipients` (string)

  - `reportEmail.errorReportRecipients` (string)

  - `reportEmail.copyStatusReports` (string)

  - `coverSheet` (object)

  - `coverSheet.fileName` (string)

  - `coverSheet.dateFormat` (string)

  - `coverSheet.timeFormat` (string)

  - `personalization` (object)

## Response 200 fields (application/json):

  - `name` (string)

  - `general` (object)

  - `general.name` (string)

  - `general.active` (boolean)

  - `general.timezone` (string)

  - `fax` (object)

  - `fax.csid` (string)

  - `fax.costCenter` (string)

  - `fax.header` (string)

  - `fax.blacklist` (boolean)

  - `fax.paperSize` (string)

  - `fax.resolution` (string)

  - `fax.preferredMimeType` (string)

  - `fax.attachmentsOnly` (boolean)

  - `fax.suppressBlankPages` (boolean)

  - `dialing` (object)

  - `dialing.countryCode` (string)

  - `dialing.areaCode` (string)

  - `reportEmail` (object)

  - `reportEmail.language` (string)

  - `reportEmail.reportFormat` (string)

  - `reportEmail.sender` (string)

  - `reportEmail.recipients` (string)

  - `reportEmail.recipientsIfError` (string)

  - `reportEmail.recipientsCc` (string)

  - `reportEmail.attachTiff` (boolean)

  - `reportEmail.attachTiffOnlyIfError` (boolean)

  - `reportEmail.attachPdf` (boolean)

  - `reportEmail.sortByStatus` (string)

  - `reportEmail.reportRecipients` (string)

  - `reportEmail.errorReportRecipients` (string)

  - `reportEmail.copyStatusReports` (string)

  - `coverSheet` (object)

  - `coverSheet.fileName` (string)

  - `coverSheet.dateFormat` (string)

  - `coverSheet.timeFormat` (string)

  - `personalization` (object)

## Response 201 fields (application/json):

  - `name` (string)

  - `general` (object)

  - `general.name` (string)

  - `general.active` (boolean)

  - `general.timezone` (string)

  - `fax` (object)

  - `fax.csid` (string)

  - `fax.costCenter` (string)

  - `fax.header` (string)

  - `fax.blacklist` (boolean)

  - `fax.paperSize` (string)

  - `fax.resolution` (string)

  - `fax.preferredMimeType` (string)

  - `fax.attachmentsOnly` (boolean)

  - `fax.suppressBlankPages` (boolean)

  - `dialing` (object)

  - `dialing.countryCode` (string)

  - `dialing.areaCode` (string)

  - `reportEmail` (object)

  - `reportEmail.language` (string)

  - `reportEmail.reportFormat` (string)

  - `reportEmail.sender` (string)

  - `reportEmail.recipients` (string)

  - `reportEmail.recipientsIfError` (string)

  - `reportEmail.recipientsCc` (string)

  - `reportEmail.attachTiff` (boolean)

  - `reportEmail.attachTiffOnlyIfError` (boolean)

  - `reportEmail.attachPdf` (boolean)

  - `reportEmail.sortByStatus` (string)

  - `reportEmail.reportRecipients` (string)

  - `reportEmail.errorReportRecipients` (string)

  - `reportEmail.copyStatusReports` (string)

  - `coverSheet` (object)

  - `coverSheet.fileName` (string)

  - `coverSheet.dateFormat` (string)

  - `coverSheet.timeFormat` (string)

  - `personalization` (object)

## Response 401 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (string)

## Response 403 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (string)

## Response 404 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (string)


